var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect, useRef } from "react";
import styled from "styled-components";
import { white, ic_list_28_white, ic_list_28_black, ic_close_28_black, mobile, } from "../../common";
import { OverflowHidden } from "../GlobalStyle";
export var NavSlide = function (_a) {
    var show = _a.show, onClose = _a.onClose, children = _a.children;
    var slideRef = useRef(null);
    useEffect(function () {
        setTimeout(function () {
            if (show && slideRef.current) {
                slideRef.current.style.left = "0";
            }
        }, 200);
    }, [show]);
    var handleClose = function () {
        if (slideRef.current) {
            slideRef.current.style.left = "100%";
            setTimeout(function () {
                onClose();
            }, 200);
        }
    };
    return show ? (_jsxs(Container, __assign({ ref: slideRef }, { children: [_jsx(OverflowHidden, {}, void 0), _jsx(CloseButton, { onClick: handleClose }, void 0), _jsx(SlideBody, { children: children }, void 0)] }), void 0)) : null;
};
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  transition: 0.2s;\n  position: fixed;\n  width: 100%;\n  height: 100%;\n  background: ", ";\n  top: 0;\n  left: 100%;\n\n  @media (min-width: 1151px) {\n    display: none;\n  }\n"], ["\n  transition: 0.2s;\n  position: fixed;\n  width: 100%;\n  height: 100%;\n  background: ", ";\n  top: 0;\n  left: 100%;\n\n  @media (min-width: 1151px) {\n    display: none;\n  }\n"])), white);
var CloseButton = styled.button(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  position: absolute;\n  top: 16px;\n  right: 20px;\n  width: 28px;\n  height: 28px;\n  border: none;\n  background: no-repeat center/cover ", ";\n"], ["\n  position: absolute;\n  top: 16px;\n  right: 20px;\n  width: 28px;\n  height: 28px;\n  border: none;\n  background: no-repeat center/cover ", ";\n"])), ic_close_28_black);
var SlideBody = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin: 0px 20px;\n  width: auto;\n"], ["\n  margin: 0px 20px;\n  width: auto;\n"])));
export var NavSlideButton = styled.button(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (_a) {
    var variant = _a.variant;
    var icon = variant === "white" ? ic_list_28_white : ic_list_28_black;
    return "\n        transition: 0.2s;\n        width: 28px;\n        height: 28px;\n        border:none;\n        background: no-repeat center/cover " + icon + ";\n\n        @media(min-width: 1151px) {\n            display: none;\n        }\n      ";
});
export var NavSlideFooter = styled.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  position: absolute;\n  bottom: 20px;\n  left: 20px;\n  right: 20px;\n  padding-top: 20px;\n  width: auto;\n  background: white;\n\n  display: flex;\n\n  & > * {\n    margin-right: 16px;\n  }\n\n  & > :last-child {\n    margin-right: 0;\n  }\n\n  @media (max-width: ", ") {\n    flex-direction: column;\n\n    & > * {\n      margin-bottom: 16px;\n      margin-right: 0;\n    }\n\n    & > :last-child {\n      margin-bottom: 0;\n    }\n  }\n"], ["\n  position: absolute;\n  bottom: 20px;\n  left: 20px;\n  right: 20px;\n  padding-top: 20px;\n  width: auto;\n  background: white;\n\n  display: flex;\n\n  & > * {\n    margin-right: 16px;\n  }\n\n  & > :last-child {\n    margin-right: 0;\n  }\n\n  @media (max-width: ", ") {\n    flex-direction: column;\n\n    & > * {\n      margin-bottom: 16px;\n      margin-right: 0;\n    }\n\n    & > :last-child {\n      margin-bottom: 0;\n    }\n  }\n"])), mobile);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
