var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from "styled-components";
import { redpink50, tablet, white } from "../../common";
export var TitleToggleSwitch = function (_a) {
    var title = _a.title, toggle = _a.toggle, handleToggle = _a.handleToggle;
    var theme = {
        active: {
            color: white,
            fontWeight: "bold",
        },
        passive: {
            color: "#8e9398",
            fontWeight: "normal",
        },
    };
    return (_jsxs(Container, { children: [_jsx(Switch, { toggle: toggle }, void 0), _jsx(Title, __assign({ side: "left", theme: toggle ? theme.passive : theme.active, onClick: handleToggle }, { children: title[0] }), void 0), _jsx(Title, __assign({ side: "right", theme: toggle ? theme.active : theme.passive, onClick: handleToggle }, { children: title[1] }), void 0)] }, void 0));
};
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  display: flex;\n  width: 404px;\n  height: 60px;\n\n  border-radius: 76.8px;\n  background-color: #f5f5f6;\n\n  @media (max-width: ", ") {\n    width: 320px;\n    height: 56px;\n  }\n"], ["\n  position: relative;\n  display: flex;\n  width: 404px;\n  height: 60px;\n\n  border-radius: 76.8px;\n  background-color: #f5f5f6;\n\n  @media (max-width: ", ") {\n    width: 320px;\n    height: 56px;\n  }\n"])), tablet);
var Switch = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  transition: 0.2s;\n\n  position: absolute;\n  width: 198px;\n  height: 52px;\n  border-radius: 26px;\n  background: ", ";\n  top: 4px;\n  ", ";\n\n  @media (max-width: ", ") {\n    width: 156px;\n    height: 48px;\n\n    ", ";\n  }\n"], ["\n  transition: 0.2s;\n\n  position: absolute;\n  width: 198px;\n  height: 52px;\n  border-radius: 26px;\n  background: ", ";\n  top: 4px;\n  ", ";\n\n  @media (max-width: ", ") {\n    width: 156px;\n    height: 48px;\n\n    ", ";\n  }\n"])), redpink50, function (_a) {
    var toggle = _a.toggle;
    return (toggle ? "left : 202px" : "left: 4px");
}, tablet, function (_a) {
    var toggle = _a.toggle;
    return (toggle ? "left : 160px" : "left: 4px");
});
var Title = styled.span(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  ", "\n"], ["\n  ", "\n"])), function (_a) {
    var theme = _a.theme, side = _a.side;
    return "\n      transition: 0.2s;\n    \n      position: absolute;\n      width: 202px;\n      height: inherit;\n    \n      display: flex;\n      justify-content: center;\n      align-items: center;\n\n      color: " + theme.color + ";\n      font-weight: " + theme.fontWeight + ";\n      " + (side === "left" ? "left: 0" : "right: 0") + ";\n\n      cursor: pointer;\n      \n      @media(max-width: " + tablet + ") {\n          width: 160px;\n      }\n      ";
});
var templateObject_1, templateObject_2, templateObject_3;
