import { useState, useEffect } from "react";
export var useCounterAnimation = function (num, counter) {
    var _a = useState(num), count = _a[0], setCount = _a[1];
    useEffect(function () {
        var timer;
        var observer;
        var option = {
            threshold: 0.5,
        };
        if (counter.current) {
            observer = new IntersectionObserver(function (entries, observer) {
                if (entries[0].isIntersecting) {
                    setCount(0);
                    observer.disconnect();
                    var nextCount_1 = 0;
                    timer = setInterval(function () {
                        nextCount_1 = nextCount_1 + (num - nextCount_1) / 50;
                        setCount(nextCount_1);
                        if (Math.round(nextCount_1) === num) {
                            setCount(Math.round(nextCount_1));
                            clearInterval(timer);
                        }
                    }, 10);
                }
            }, option);
            observer.observe(counter.current);
        }
        return function () {
            clearInterval(timer);
            observer.disconnect();
        };
    }, [counter, num]);
    return Math.round(count);
};
