var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import styled from "styled-components";
import { redpink50, white, ic_arrow_20_red, ic_arrow_20_white, } from "../../common";
export var ArrowLink = function (_a) {
    var direction = _a.direction, variant = _a.variant, link = _a.link, children = _a.children, onClick = _a.onClick;
    var color, arrow, rotate, transform;
    switch (variant) {
        case "white":
            color = white;
            arrow = ic_arrow_20_white;
            break;
        case "redpink":
            color = redpink50;
            arrow = ic_arrow_20_red;
            break;
        default:
            break;
    }
    switch (direction) {
        case "east":
            rotate = 0;
            transform = "translate(3px, 0)";
            break;
        case "north-east":
            rotate = -45;
            transform = "translate(3px, -3px)";
            break;
        default:
            break;
    }
    return (_jsx(Link, __assign({ href: link, target: "_blank", theme: { color: color, arrow: arrow, direction: direction, rotate: rotate, transform: transform }, onClick: onClick }, { children: children }), void 0));
};
var Link = styled.a(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-flex;\n  align-items: center;\n  color: ", ";\n  transition: 0.2s;\n  font-size: 15px;\n  font-weight: bold;\n\n  &: after {\n    content: \"\";\n    display: block;\n    width: 20px;\n    height: 20px;\n    background: no-repeat center/cover ", ";\n    margin-left: 2px;\n\n    transition: 0.2s;\n    transform: rotate(", "deg);\n  }\n\n  &:hover {\n    &: after {\n      transform: ", "\n        rotate(", "deg);\n    }\n  }\n"], ["\n  display: inline-flex;\n  align-items: center;\n  color: ", ";\n  transition: 0.2s;\n  font-size: 15px;\n  font-weight: bold;\n\n  &: after {\n    content: \"\";\n    display: block;\n    width: 20px;\n    height: 20px;\n    background: no-repeat center/cover ", ";\n    margin-left: 2px;\n\n    transition: 0.2s;\n    transform: rotate(", "deg);\n  }\n\n  &:hover {\n    &: after {\n      transform: ", "\n        rotate(", "deg);\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.color;
}, function (_a) {
    var theme = _a.theme;
    return theme.arrow;
}, function (_a) {
    var theme = _a.theme;
    return theme.rotate;
}, function (_a) {
    var theme = _a.theme;
    return theme.transform;
}, function (_a) {
    var theme = _a.theme;
    return theme.rotate;
});
var templateObject_1;
