var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import styled from "styled-components";
import { darkgray50, ic_arrow_24_black, redpink50 } from "../../common";
export var NavSlideItem = function (_a) {
    var active = _a.active, title = _a.title, children = _a.children;
    var _b = useState(active), isOpen = _b[0], setIsOpen = _b[1];
    return (_jsxs(_Fragment, { children: [_jsx(Container, __assign({ arrow: children ? true : false, isOpen: isOpen, onClick: function () { return setIsOpen(!isOpen); } }, { children: _jsx(Title, __assign({ active: active }, { children: title }), void 0) }), void 0), children && isOpen && _jsx(Children, { children: children }, void 0)] }, void 0));
};
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  padding: 20px 0;\n  white-space: nowrap;\n  cursor: pointer;\n\n  ", "\n"], ["\n  display: flex;\n  justify-content: space-between;\n  padding: 20px 0;\n  white-space: nowrap;\n  cursor: pointer;\n\n  ", "\n"])), function (_a) {
    var arrow = _a.arrow, isOpen = _a.isOpen;
    return arrow
        ? "&:after {\n        content: \"\";\n        width: 24px;\n        height: 24px;\n        min-width: 24px;\n        min-height: 24px;\n        background: no-repeat center/cover " + ic_arrow_24_black + ";\n        transform: " + (isOpen && "rotate(180deg)") + ";\n      }"
        : null;
});
var Title = styled.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  position: relative;\n  font-size: 20px;\n  font-weight: bold;\n  letter-spacing: -0.5px;\n  color: ", ";\n  ", "\n"], ["\n  position: relative;\n  font-size: 20px;\n  font-weight: bold;\n  letter-spacing: -0.5px;\n  color: ", ";\n  ", "\n"])), darkgray50, function (_a) {
    var active = _a.active;
    return active
        ? "&:after {\n        position: absolute;\n        bottom: 1px;\n        left: 0;\n        content: \"\";\n        width: 100%;\n        height: 6px;\n        background: " + redpink50 + ";\n        z-index: -1;\n      }"
        : null;
});
var Children = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n"], ["\n  display: flex;\n  flex-direction: column;\n"])));
export var NavSlideItemChild = styled.span(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  cursor: pointer;\n  padding: 14px 0px;\n  font-size: 16px;\n  font-weight: bold;\n  color: ", "};\n\n  & > * {\n    color: inherit;\n  }\n"], ["\n  cursor: pointer;\n  padding: 14px 0px;\n  font-size: 16px;\n  font-weight: bold;\n  color: ", "};\n\n  & > * {\n    color: inherit;\n  }\n"])), function (_a) {
    var active = _a.active;
    return (active ? redpink50 : darkgray50);
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
